# Spice.ai v0.5.1-alpha

Announcing the release of Spice.ai v0.5.1-alpha! 📈

This minor release builds upon v0.5-alpha adding the ability to start training from the dashboard plus support for monitoring training runs with [TensorBoard](https://www.tensorflow.org/tensorboard/).

## Highlights in v0.5.1-alpha

### Start training from dashboard

A "Start Training" button has been added to the pod page on the dashboard so that you can easily start training runs from that context.

Training runs can now be started by:

- Modifications to the Spicepod YAML file.
- The [spice train <pod name>](https://docs.spiceai.org/cli/reference/#train) command.
- The "Start Training" dashboard button.
- POST [API calls](https://docs.spiceai.org/api/) to `/api/v0.1/pods/{pod name}/train`
  
<video src="https://user-images.githubusercontent.com/80174/146122241-f8073266-ead6-4628-8563-93e98d74e9f0.mov" />

### TensorBoard monitoring

[TensorBoard](https://www.tensorflow.org/tensorboard/) monitoring is now supported when using DQL (default) or the new SACD [learning algorithms](https://docs.spiceai.org/deep-learning-ai/) that was [announced in v0.5-alpha](https://github.com/spiceai/spiceai/releases/tag/v0.5-alpha).
  
When enabled, TensorBoard logs will automatically be collected and a "Open TensorBoard" button will be shown on the pod page in the dashboard.
  
Logging can be enabled at the pod level with the [training_loggers pod param](https://docs.spiceai.org/reference/pod/#paramstraining_loggers) or per training run with the CLI `--training-loggers` argument.
  
<video src="https://user-images.githubusercontent.com/80174/146382503-2bb2570b-5111-4de0-9b80-a1dc4a5dcc35.mov" />
  
Support for VPG will be added in v0.6-alpha. The design allows for additional loggers to be added in the future. Let us know what you'd like to see!

## New in this release

- **Adds** a start training button on the dashboard pod page.
- **Adds** TensorBoard logging and monitoring when using DQL and SACD learning algorithms.
  
### Dependency updates
  
- **Updates** to Tailwind 3.0.6
- **Updates** to Glide Data Grid 3.2.1
